
#include "fprel.h"

/** Execution an action at the end of GRASP iterations. */
void FFinalPathRel::terminate()
{
  if (verbose()) (cout<<" final path relinking\n").flush();
  fpr_started = true;
  for (unsigned int i=0; i<elite_set.size(); i++) {
    for (unsigned int j=0; j<elite_set.size(); j++) {
      if (stop_condition()) return;
      if (i == j) continue;
      FAP_sol s1(elite_set[i]), s2(elite_set[j]);
      do_path_relinking(s1, s2);
      if (s2 < *sol) *sol = s2;
    }
  }
}
