#if !defined(_FAP_LSEARCH_H)
#define _FAP_LSEARCH_H

const int LS_MAX_TRY = 100;

class FLocal_search : public solver<FAP_inst, FAP_sol> {
public:
  FLocal_search(FAP_inst &i, FAP_sol *s, Vector<Bc> &bc_,
		int _max_try = LS_MAX_TRY):
    solver<FAP_inst, FAP_sol>(i, s), bc(bc_), max_try(_max_try) {}
  ~FLocal_search() {}
  FAP_sol *solve();
private:
  Vector<Bc> bc;
  int max_try;
  bool improve();
};

#endif /* _FAP_LSEARCH_H */
